# -*- encoding: utf-8 -*-
# stub: faraday_error 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "faraday_error".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jacob Elder".freeze]
  s.bindir = "exe".freeze
  s.date = "2016-02-22"
  s.description = "# FaradayError\n[![Gem Version](https://badge.fury.io/rb/faraday_error.svg)](https://badge.fury.io/rb/faraday_error)\n\nA [Faraday](https://github.com/lostisland/faraday) middleware for adding request parameters to your exception tracker.\n\n### Supports\n - [Honeybadger](https://www.honeybadger.io/)\n - [NewRelic](http://newrelic.com/)\n - Your favorite thing, as soon as you make a pull request!\n\n## Installation\n\nAdd this line to your application's Gemfile:\n\n```ruby\ngem 'faraday_error'\n```\n\nAnd then execute:\n\n    $ bundle\n\nOr install it yourself as:\n\n    $ gem install faraday_error\n\n## Usage\n\nConfigure your Faraday connection to use this middleware. You can optionally specify a name; defaults to `faraday`. It is expected that you also use `Faraday::Response::RaiseError` somewhere in your stack.\n```ruby\nconnection = Faraday.new(url: 'http://localhost:4567') do |faraday|\n  faraday.use       FaradayError::Middleware, name: \"example_request\"\n  faraday.use       Faraday::Response::RaiseError\n  faraday.adapter   Faraday.default_adapter\nend\n```\n\nAnd that's it. Make a request as you normally would.\n```ruby\nconnection.post do |req|\n  req.url '/503'\n  req.headers['Content-Type'] = 'application/json'\n  req.body = JSON.generate(abc: \"xyz\")\nend\n```\n\nIf any request fails, Honeybadger's \"context\" for this error will include your request parameters. If sending JSON or `application/x-www-form-urlencoded`, these will be included in parsed form.\n```json\n{\n  \"example_request\": {\n    \"method\": \"post\",\n    \"url\": \"http://localhost:4567/503\",\n    \"request_headers\": {\n      \"User-Agent\": \"Faraday v0.9.2\",\n      \"Content-Type\": \"application/json\"\n    },\n    \"body_length\": 13,\n    \"body\": {\n      \"abc\": \"xyz\"\n    }\n  }\n}\n```\n\n\n## Development\n\nAfter checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.\n\nTo install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).\n\nThe included [RestReflector](../master/spec/rest_reflector.rb) Sinatra app is suitable for making requests that are guaranteed to fail in particlar ways.\n\n## Contributing\n\nBug reports and pull requests are welcome on GitHub at https://github.com/jelder/faraday_error. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.\n\n\n## License\n\nThe gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).\n\n".freeze
  s.email = ["jacob.elder@gmail.com".freeze]
  s.homepage = "https://github.com/jelder/faraday_error/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A Faraday middleware for adding request parameters to your exception tracker.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.9.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<sinatra>.freeze, ["~> 1.4", ">= 1.4.7"])
    s.add_development_dependency(%q<honeybadger>.freeze, ["~> 2.4", ">= 2.4.1"])
    s.add_development_dependency(%q<newrelic_rpm>.freeze, ["~> 3.14", ">= 3.14.0"])
  else
    s.add_dependency(%q<faraday>.freeze, ["~> 0.9.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1.4", ">= 1.4.7"])
    s.add_dependency(%q<honeybadger>.freeze, ["~> 2.4", ">= 2.4.1"])
    s.add_dependency(%q<newrelic_rpm>.freeze, ["~> 3.14", ">= 3.14.0"])
  end
end
